import Color from "../../system/Color";
import { StiHorizontalAlignment, StiVerticalAlignment } from "../../system/enums";
import { Font } from "../../system/Font";
import { StiEditableContent } from "../../system/interfaces";
import { StiTableElement } from "../StiTableElement";
export declare class StiTotalsRowHeaderEditableContent implements StiEditableContent {
    table: StiTableElement;
    constructor(table: StiTableElement);
    get eValue(): string;
    set eValue(value: string);
    get eFont(): Font;
    set eFont(value: Font);
    get eColor(): Color;
    set eColor(value: Color);
    eBackgroundColor: Color;
    haveBackgoundColor(): boolean;
    get eContentAlignment(): StiHorizontalAlignment;
    set eContentAlignment(value: StiHorizontalAlignment);
    haveContentAlignment(): boolean;
    get eVerticalAlignment(): StiVerticalAlignment;
    set eVerticalAlignment(value: StiVerticalAlignment);
    haveVerticalAlignment(): boolean;
    htmlStyle(): string;
}
